All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
program.hpp File Reference

Implements an OpenCL program class for ViennaCL. More...

`#include <string>`
`#include <vector>`
`#include "viennacl/ocl/forwards.h"`
`#include "viennacl/ocl/handle.hpp"`
`#include "viennacl/ocl/kernel.hpp"`
`#include "viennacl/tools/shared_ptr.hpp"`

Go to the source code of this file.

## Classes

class | viennacl::ocl::program
| Wrapper class for an OpenCL program. More...

## Namespaces

| viennacl
| Main namespace in ViennaCL. Holds all the basic types such as vector, matrix, etc. and defines operations upon them.
| viennacl::ocl
| OpenCL backend. Manages platforms, contexts, buffers, kernels, etc.

## Detailed Description

Implements an OpenCL program class for ViennaCL.

Definition in file program.hpp.